// SmileBox.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "textsmile.h"
#include "SmileBox.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSmileBox _CAO


CSmileBox::CSmileBox(CWnd* pParent /*=NULL*/)
	: CDialog(CSmileBox::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSmileBox)
	m_bHTML = FALSE;
	m_bCPP = FALSE;
	m_bCRLF = FALSE;
	m_Frq = 0;
	m_HankakuHide = _T("");
	m_ZenkakuHide = _T("");
	//}}AFX_DATA_INIT
}


void CSmileBox::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSmileBox)
	DDX_Check(pDX, IDC_CHECK1, m_bHTML);
	DDX_Check(pDX, IDC_CHECK2, m_bCPP);
	DDX_Check(pDX, IDC_CHECK3, m_bCRLF);
	DDX_Text(pDX, IDC_EDIT1, m_Frq);
	DDV_MinMaxInt(pDX, m_Frq, 5, 100);
	DDX_Text(pDX, IDC_HANKAKUHIDE, m_HankakuHide);
	DDV_MaxChars(pDX, m_HankakuHide, 1);
	DDX_Text(pDX, IDC_ZENKAKUHIDE, m_ZenkakuHide);
	DDV_MaxChars(pDX, m_ZenkakuHide, 2);
	//}}AFX_DATA_MAP
	GetDlgItem(IDC_MODENAME)->SetWindowText(m_pSml->m_Name);
}


BEGIN_MESSAGE_MAP(CSmileBox, CDialog)
	//{{AFX_MSG_MAP(CSmileBox)
	ON_BN_CLICKED(IDC_BUTTON_LOAD, OnButtonLoad)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSmileBox bZ[W nh

void CSmileBox::OnButtonLoad() 
{
	CString filter = "X}Ct@C(*.sml)|*.sml|SẴt@C(*.*)|*.*||";
	CFileDialog dlg(TRUE,NULL,NULL,OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,filter);
	dlg.m_ofn.lpstrTitle = "u΂ݕvIłB";

	if( dlg.DoModal()==IDOK )
	{
		if( !m_pSml->Load( dlg.GetPathName() ) )
		{
			AfxMessageBox("ݒt@C̃[hɎs܂B");
			m_pSml->DefaultSet();
		}
		GetDlgItem(IDC_MODENAME)->SetWindowText(m_pSml->m_Name);
	}
	GotoDlgCtrl( GetDlgItem(IDOK) );
}
